## gff
Class GFFFilter

    java.lang.Object
      gff.GFFFilter

    public class GFFFilter

extends Object

This tests the parsing and writing of GFF features.

Use: GFFToFeatures [in.gff [out.gff]]

If you do not supply out.gff, then output will go to stdout. If you do not supply in.gff, then input will come from stdin.

in.gff will be parsed into a stream of comments and GFFRecords. These will pass directly to a GFFWriter, which will write out the GFF.

You can extend this simple application to include a filter between the parser and the writer. This would allow you to write a GFFGrep application that only allows through GFF files that have some value in a given column.

You may notice that the input is not exactly identical to the output. In particular, white-space will be changed and some missing values will be written according to the GFF2 specification, regardless of what was read in. Also, the attribute value-list text may be re-ordered. None of this affects the validity of the file.

Have fun!

Author:
  Matthew Pocock

Constructor Summary
`GFFFilter()`

Method Summary
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GFFFilter

    public GFFFilter()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`